Page MenuHomePhabricator

Show nicer previews of complex (timed, paged, …) media inside VisualEditor
Open, LowPublic8 Story Points

Related Objects

Event Timeline

Jdforrester-WMF raised the priority of this task from to Low.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJun 29 2015, 7:08 PM
Jdforrester-WMF renamed this task from Show nicer previews of timed media inside VisualEditor to Show nicer previews of complex (timed, paged, …) media inside VisualEditor.Jul 3 2015, 10:21 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 5:51 PM
TheDJ moved this task from Backlog to Player on the TimedMediaHandler board.Oct 21 2015, 7:14 PM

Update now that Parsoid's change is live:

  • For paged media (PDFs/DjVu/etc.), correct previews are now done (because there's nothing VE needs to do beyond its current architecture).
  • For video media, it now shows the 'correct' preview (e.g. thumbtime is respected) but it doesn't show the "play" button, so it's not a perfect preview, and you can't play it, which is T103096: Preview video while editing with VE.
  • For audio media, the preview is wrong, and you can't play it.
TheDJ added a subscriber: TheDJ.EditedApr 25 2017, 8:25 PM

@Jdforrester-WMF the new html5 structure (for TMH) assumes that JS controls will be provided. If those are not provided, then a controls attribute needs to be added to enable the standard browser controls.

There was some discussion on this when we implemented it, but basically it comes down to: HTML5 video assumes that you can guarantee the same environment for all your content, or that you have different end points for different environments. You can't have JS in one environment and then no JS in the other, with the same HTML content.

So either add the video.js modules, or add custom JS to add the controls attribute for this specific situation.

In T104237#3211514, @TheDJ wrote[…]

Moved to that task.

  • For video media, it now shows the 'correct' preview (e.g. thumbtime is respected) but it doesn't show the "play" button, so it's not a perfect preview, and you can't play it, which is T103096: Preview video while editing with VE.
  • For audio media, the preview is wrong, and you can't play it.

Those are fixed in T64270 which is merged, and should go out soon.

Jdforrester-WMF set the point value for this task to 8.
  • For video media, it now shows the 'correct' preview (e.g. thumbtime is respected) but it doesn't show the "play" button, so it's not a perfect preview, and you can't play it, which is T103096: Preview video while editing with VE.
  • For audio media, the preview is wrong, and you can't play it.

Those are fixed in T64270 which is merged, and should go out soon.

Ah, my apologies, I thought both T64270 and T154709 had gone out at the same time but I was wrong.